petsc-3.12.4 2020-02-04
Report Typos and Errors

# MatCreateMAIJ

Creates a matrix type providing restriction and interpolation operations for multicomponent problems. It interpolates each component the same way independently. The matrix type is based on MATSEQAIJ for sequential matrices, and MATMPIAIJ for distributed matrices.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatCreateMAIJ(Mat A,PetscInt dof,Mat *maij)

Collective

### Input Parameters

| A | - the AIJ matrix describing the action on blocks
| dof | - the block size (number of components per node)

### Output Parameter

maij -the new MAIJ matrix

### Operations provided

| MatMult | - . MatMultTranspose
| MatMultAdd | - . MatMultTransposeAdd
| MatView | -

### See Also

MatMAIJGetAIJ(), MatMAIJRedimension(), MATMAIJ

### Level

advanced

### Location

src/mat/impls/maij/maij.c

### Examples

src/snes/examples/tutorials/ex48.c.html
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages